local debug

do
  local os   = os
  local ngx  = ngx
  local type = type
  if type(ngx) == "table" then
    if ngx.get_phase() == "timer" and ngx.exit == os.exit and arg then
      local log = ngx.say
      if log then
        debug = function(message)
          log(message)
        end
      end

    else
      local log = ngx.log
      if log then
        local DEBUG = ngx.DEBUG
        debug = function(message)
          log(DEBUG, message)
        end
      end
    end
  end

  if not debug then
    debug = function() end
  end
end

return debug

