local sha2 = require "resty.nettle.sha2"


local rand = math.random


local algs = {
  "S256",
  "S384",
  "S512",
}

local hash = {
  S256 = sha2.sha256,
  S384 = sha2.sha384,
  S512 = sha2.sha512,
}


local n = #algs


function hash.none(s)
  return s
end


function hash.random(s)
  return hash[algs[rand(n)]](s)
end


return hash
