local iso7816_4 = require "resty.nettle.padding.iso7816-4"
local ansix923  = require "resty.nettle.padding.ansix923"
local iso10126  = require "resty.nettle.padding.iso10126"
local base64    = require "resty.nettle.padding.base64"
local pkcs7     = require "resty.nettle.padding.pkcs7"
local space     = require "resty.nettle.padding.spacepadding"
local zero      = require "resty.nettle.padding.zeropadding"
local none      = require "resty.nettle.padding.nopadding"


return {
  iso7816_4 = {
    pad   = iso7816_4.pad,
    unpad = iso7816_4.unpad,
  },
  ansix923 = {
    pad   = ansix923.pad,
    unpad = ansix923.unpad,
  },
  iso10126 = {
    pad   = iso10126.pad,
    unpad = iso10126.unpad,
  },
  base64 = {
    pad   = base64.pad,
    unpad = base64.unpad,
  },
  pkcs7 = {
    pad   = pkcs7.pad,
    unpad = pkcs7.unpad,
  },
  space = {
    pad   = space.pad,
    unpad = space.unpad,
  },
  zero = {
    pad   = zero.pad,
    unpad = zero.unpad,
  },
  none = {
    pad   = none.pad,
    unpad = none.unpad,
  },
}
