local sandbox = require "kong.tools.sandbox"

local PLUGIN_NAME    = require("kong.plugins.exit-transformer").PLUGIN_NAME


local functions_array = {
  type = "array",
  required = true,
  elements = { type = "string", custom_validator = sandbox.validate }
}


return {
  name = PLUGIN_NAME,
  fields = {
    { config = {
      type = "record",
      fields = {
        { functions = functions_array },
        { handle_unknown = { type = "boolean", default = false } },
        { handle_unexpected = { type = "boolean", default = false } },
      }
    } }
  },
}
